[
{
    blockid=address;
    help=service_smtp_address_address;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	.rewritestyle.text="\"From\" address rewrite style:";
	.rewritestyle.labels=["\"john doe\"<jdoe@example.com>","jdoe@example.com (John Doe)","jdoe@example.com","\u6c38\u4e0d\u91cd\u5199\u5730\u5740"];
	.rewrite.text="\u6839\u636e\u6536\u4ef6\u4eba\u7684 LDAP \u6761\u76ee\u4e2d\u7684\u5c5e\u6027\u91cd\u5199 SMTP \u4fe1\u5c01\u5730\u5740:";
	.rewrite.1.text="\u4f7f\u7528 mailRoutingAddress \u5c5e\u6027";
	.rewrite.2.text="\u5c06 uid \u4e0e mailHost \u5c5e\u6027\u76f8\u7ed3\u5408";
	.rewrite.4.text="\u5c06\u5730\u5740\u7684\u672c\u5730\u90e8\u5206\u4e0e mailHost \u5c5e\u6027\u76f8\u7ed3\u5408";
	.fallback.text="\u5982\u679c\u670d\u52a1\u5668\u65e0\u6cd5\u627e\u5230\u7b26\u5408\u7ed9\u5b9a\u7535\u5b50\u90ae\u4ef6\u5730\u5740\u7684 LDAP \u6761\u76ee\uff0c\u5219\u4f7f\u7528\u6240\u9009\u65b9\u6cd5\u518d\u6b21\u641c\u7d22:";
	.fallback.1.text="\u641c\u7d22\u81ea\u5b9a\u4e49\u57df";
	.fallback.2.text="\u4f7f\u7528\u622a\u65ad\u7684\u57df (\u5982\u679c\u662f\u672c\u5730\uff0c\u5219\u53bb\u6389\u4e3b\u673a\u90e8\u5206) \u8fdb\u884c\u641c\u7d22";
	.fallback.4.text="\u6309\u7528\u6237 ID (uid) \u641c\u7d22";
	.routing.header="SMTP \u8def\u7531\u9009\u62e9\u8868:";
	.delimiter="$";
	.addentry.title="SMTP \u8def\u7531\u9009\u62e9\u6761\u76ee";
	.editentry.title="SMTP \u8def\u7531\u9009\u62e9\u6761\u76ee";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=rewritelabel;
	    text=$.rewrite.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=rewrite0;
			    label=rewritelabel;
			    text=$.rewrite.1.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite1;
			    label=rewritelabel;
			    text=$.rewrite.2.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite2;
			    label=rewritelabel;
			    text=$.rewrite.4.text;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=stylelabel;
		    text=$.rewritestyle.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    label=stylelabel;
		    labels=$.rewritestyle.labels;
		    items=[quoted,comment,qualify,never];
		    aligny=0.5;
		    val=$service.smtp.smtp-router.smtprewritestyle.value;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="\u6309\u7528\u6237 ID (uid) \u641c\u7d22";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.addentry.title;
	    editui=routedialog;
	    edittitle=$.editentry.title;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=$.delimiter;
	    visiblerows=5;
	    columns=[
		{
		    header=$.routing.header;
		    varname=routeentry;
		}
	    ]
	}
    ]
},
{
    blockid=routedialog;
    help=service_smtp_address_routedialog;
    localvar={
	.route.help="\u8def\u7531\u9009\u62e9\u8868\u6761\u76ee:";
	.example.entry="abc.com:host.xyz.com";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size3;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.example.entry;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
